Subject: DDD 3.3.8 segmentation error, related to Motif?
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: Brian Ford <[email-masked]>, [email-masked]
Date: Wed, 19 Nov 2003 20:25:15 +0100

I gat a more recent version now, and I recompiled ddd.
Earlier problem solved, new problem pops up:

The executable ends with:
       Warning: This DDD requires a Motif 2.1 library (using Motif 
-1617156.-609)
       Continue at own risk.

       Internal error (Segmentation fault).

VERSIONS:
lesstif                        0.93.91-4          OK
XFree86-base            4.3.0-1            OK
XFree86-bin             4.3.0-8            OK
XFree86-bin-icons       4.3.0-5            OK
XFree86-doc             4.3.0-1            OK
XFree86-etc             4.3.0-6            OK
XFree86-f100            4.2.0-3            OK
XFree86-fcyr            4.2.0-3            OK
XFree86-fenc            4.2.0-3            OK
XFree86-fnts            4.2.0-3            OK
XFree86-fscl            4.2.0-3            OK
XFree86-fsrv            4.3.0-7            OK
XFree86-html            4.3.0-1            OK
XFree86-jdoc            4.3.0-1            OK
XFree86-lib             4.3.0-1            OK
XFree86-lib-compat      4.3.0-2            OK
XFree86-man             4.3.0-2            OK
XFree86-nest            4.3.0-5            OK
XFree86-prog            4.3.0-12           OK
XFree86-prt             4.3.0-5            OK
XFree86-ps              4.3.0-1            OK
XFree86-startup-scripts 4.2.0-5            OK
XFree86-vfb             4.3.0-5            OK
XFree86-xserv           4.3.0-23           OK
XFree86-xwinclip        4.3.0-2            OK

Note: Not all mirror sites provided by the setup.exe tool
          are providing the latest packages.

bt08pm: /w/  cygcheck ddd
Found: D:\Cygwin\usr\local\bin\ddd.exe
D:/Cygwin/usr/local/bin/ddd.exe
  D:\Cygwin\usr\X11R6\bin\cygXm-2.dll
    D:\Cygwin\usr\X11R6\bin\cygX11-6.dll
      D:\Cygwin\bin\cygcygipc-2.dll
        D:\Cygwin\bin\cygwin1.dll
          C:\WINNT\System32\KERNEL32.dll
            C:\WINNT\System32\ntdll.dll
    D:\Cygwin\usr\X11R6\bin\cygXft-2.dll
      D:\Cygwin\usr\X11R6\bin\cygXext-6.dll
      D:\Cygwin\bin\cygfontconfig-1.dll
        D:\Cygwin\bin\cygexpat-0.dll
        D:\Cygwin\bin\cygfreetype-6.dll
          D:\Cygwin\bin\cygz.dll
    D:\Cygwin\usr\X11R6\bin\cygXp-6.dll
    D:\Cygwin\usr\X11R6\bin\cygXrender-1.dll
    D:\Cygwin\usr\X11R6\bin\cygXt-6.dll
      D:\Cygwin\usr\X11R6\bin\cygICE-6.dll
      D:\Cygwin\usr\X11R6\bin\cygSM-6.dll
  D:\Cygwin\bin\cygncurses7.dll
  D:\Cygwin\usr\X11R6\bin\cygXaw-7.dll
    D:\Cygwin\usr\X11R6\bin\cygXmu-6.dll
    D:\Cygwin\usr\X11R6\bin\cygXpm-4.dll

Brian  d wrote:

>On Mon, 17 Nov 2003 [email-masked] wrote:
>
>  
>
>>Ihe same problem with  ddd 3.3.8 and GCC 3.3.1.
>>I was able to compile ddd with GCC 3.2.3, but
>>when launching ddd I gat following problem:
>>(btw ddd --help works fine)
>>
>> >>
>>Warning: XmPrimitive ClassInitialize: XmeTraitSet failed
>>Error: attempt to add non-widget child "DropSiteManager" to parent "ddd"
>>which supports only widgets
>>Xt error (attempt to add non-widget child "DropSiteManager" to parent
>>"ddd" which supports only widgets).
>><<...>>
>> DDD 3.3.8 (i686-pc-cygwin) gets `Segmentation fault' signal
>><<
>>
>>    
>>
>This is an Xfree86 issue.  Redirecting to the proper list
>([email-masked]).
>
>The error above was caused by the transition to a shared libXt/lesstif.
>Please make sure your Xfree86 packages and lesstif are up to date.
>
>  
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/